package com.atmob.map_amap_android.util;

import android.util.Log;

public class LogUtil {

    // 日志开关（默认开启）
    private static boolean isLogEnabled = false;

    private static final String TAG = "AMapLogUtil_";

    /**
     * 设置日志开关
     *
     * @param enabled true 开启日志，false 关闭日志
     */
    public static void setLogEnabled(boolean enabled) {
        isLogEnabled = enabled;
    }

    /**
     * 打印 VERBOSE 级别日志
     *
     * @param msg 日志内容
     */
    public static void v(String tag, String msg) {
        if (isLogEnabled) {
            Log.v(TAG + tag, msg);
        }
    }

    /**
     * 打印 DEBUG 级别日志
     *
     * @param msg 日志内容
     */
    public static void d(String tag, String msg) {
        if (isLogEnabled) {
            Log.d(TAG + tag, msg);
        }
    }

    /**
     * 打印 INFO 级别日志
     *
     * @param msg 日志内容
     */
    public static void i(String tag, String msg) {
        if (isLogEnabled) {
            Log.i(TAG + tag, msg);
        }
    }

    /**
     * 打印 WARN 级别日志
     *
     * @param msg 日志内容
     */
    public static void w(String tag, String msg) {
        if (isLogEnabled) {
            Log.w(TAG + tag, msg);
        }
    }

    /**
     * 打印 ERROR 级别日志
     *
     * @param msg 日志内容
     */
    public static void e(String tag, String msg) {
        if (isLogEnabled) {
            Log.e(TAG + tag, msg);
        }
    }

    /**
     * 打印 ERROR 级别日志（带异常信息）
     *
     * @param msg 日志内容
     * @param tr  异常信息
     */
    public static void e(String tag, String msg, Throwable tr) {
        if (isLogEnabled) {
            Log.e(TAG + tag, msg, tr);
        }
    }

}
